%global srcname simpleline

Name: python-%{srcname}
Summary: A Python library for creating text UI
Url: https://github.com/rhinstaller/python-%{srcname}
Version: 1.8.3
Release: 1.20240105103105871960.master.20.g62f1cd1%{?dist}
# This tarball was created from upstream git:
#   git clone https://github.com/rhinstaller/python-simpleline
#   cd python-simpleline && make archive
Source0: simpleline-1.9.0.tar.gz

License: LGPL-3.0-or-later
BuildArch: noarch
BuildRequires: make
BuildRequires: python3-devel
BuildRequires: gettext
BuildRequires: python3-setuptools
BuildRequires: intltool
BuildRequires: python3-gobject-base

%description
Simpleline is a Python library for creating text UI.
It is designed to be used with line-based machines
and tools (e.g. serial console) so that every new line
is appended to the bottom of the screen.
Printed lines are never rewritten!


%package -n python3-%{srcname}
Summary: A Python3 library for creating text UI
Requires: rpm-python3

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Simpleline is a Python3 library for creating text UI.
It is designed to be used with line-based machines
and tools (e.g. serial console) so that every new line
is appended to the bottom of the screen.
Printed lines are never rewritten!

%prep
%setup -q -n simpleline-1.9.0

%build
%make_build

%install
make DESTDIR=%{buildroot} install
%find_lang python-%{srcname}

%check
make test


%files -n python3-%{srcname} -f python-%{srcname}.lang
%license LICENSE.md
%doc ChangeLog README.md
%{python3_sitelib}/*

%changelog
* Fri Jan 05 2024 Packit <hello@packit.dev> - 1.8.3-1.20240105103105871960.master.20.g62f1cd1
- infra: bump actions/checkout from 3 to 4 (dependabot[bot])
- Improve pot file generation (Jiri Konecny)
- Migrate to SPDX license (Jiri Konecny)
- Remove `metadata` from the packit.yaml (Jiri Konecny)
- Add missing srpm_build_deps for packit (Jiri Konecny)
- infra: bump actions/checkout from 2 to 3 (dependabot[bot])
- Disable a weird pylint cyclic-import issue (Jiri Konecny)
- Fix newly discovered pylint issues (Jiri Konecny)
- Add container-ci make target and use it in GitHub (Jiri Konecny)
- Adapt pylintrc to a new pylint version (Jiri Konecny)
- Add dependabot updates for actions (#infra) (Vladimir Slavik)
- Do not force using f-strings by pylint (Jiri Konecny)
- New version - 1.9.0 (Jiri Konecny)
- Adapt Makefile bumpver target for x.y.z versioning (Jiri Konecny)
- Add tests for UIScreen wide disabling of concurrency check (Jiri Konecny)
- Rename helper test classes to have Mock postfix (Jiri Konecny)
- Call App.initialize() in the setUp phase of GlobalConfiguration test (Jiri Konecny)
- Abstract registering signal handler in the InputHandler constructor (Jiri Konecny)
- Allow to disable concurrency check for all UIScreen inputs (Jiri Konecny)
- Use {} and [] instead of dict() and list() (Jiri Konecny)
- Specify encoding for open() (Jiri Konecny)
- Remove 'u' prefix from strings (Jiri Konecny)
